LibreOffice: XTextViewCursor Interface Reference

LibreOffice LibreOffice 7.6 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XTextViewCursor Interface Referencepublished

describes a cursor in a text document's view. More...

`import <XTextViewCursor.idl;`

Inheritance diagram for XTextViewCursor:

## Public Member Functions
boolean | isVisible ()
void | setVisible ([in] boolean bVisible)
| shows or hides this cursor for the user.
com::sun::star::awt::Point | getPosition ()
Public Member Functions inherited from XTextCursor
void | collapseToStart ()
| sets the end of the position to the start.
void | collapseToEnd ()
| sets the start of the position to the end.
boolean | isCollapsed ()
| determines if the start and end positions are the same.
boolean | goLeft ([in] short nCount, [in] boolean bExpand)
| moves the cursor the specified number of characters to the left.
boolean | goRight ([in] short nCount, [in] boolean bExpand)
| moves the cursor the specified number of characters to the right.
void | gotoStart ([in] boolean bExpand)
| moves the cursor to the start of the text.
void | gotoEnd ([in] boolean bExpand)
| moves the cursor to the end of the text.
void | gotoRange ([in] com::sun::star::text::XTextRange xRange, [in] boolean bExpand)
| moves or expands the cursor to a specified TextRange.
Public Member Functions inherited from XTextRange
XText | getText ()
XTextRange | getStart ()
XTextRange | getEnd ()
string | getString ()
void | setString ([in] string aString)
| the whole string of characters of this piece of text is replaced.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

describes a cursor in a text document's view.

## Member Function Documentation

## ◆ getPosition()

com::sun::star::awt::Point getPosition | ( |  | ) |

Returns
  the cursor's coordinates relative to the top left position of the first page of the document.

## ◆ isVisible()

boolean isVisible | ( |  | ) |

Returns
  `TRUE` if this cursor is visible for the user.

## ◆ setVisible()

void setVisible | ( | [in] boolean | bVisible | ) |

shows or hides this cursor for the user.

The documentation for this interface was generated from the following file:

- com/sun/star/text/XTextViewCursor.idl